[Dell Inspiron 1525] Cannot resume from suspend

Bug #1331654 reported by Iuri Diniz on 2014-06-18
256
This bug affects 46 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

Hello folks,

After upgrading to Ubuntu Trusty (14.04), I cannot more resume from a previous suspend. All things were all right on 13.10.

If I boot previous kernel 3.11.0-23, everything works well.

Also I've tried these kernels:

vanilla 3.13.0-rc1 (Bugged)
vanilla 3.12.22 (Working)

I also noted if I suspend from lightdm menu (on 3.13.0-rc1), I can resume after, but If I do this after logged with my user (not root), I am unable to resume from suspend.

I cannot perform Sysrq magic keys, I can only press the power button.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-29-generic 3.13.0-29.53
ProcVersionSignature: Ubuntu 3.13.0-29.53-generic 3.13.11.2
Uname: Linux 3.13.0-29-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: iuri 2137 F.... pulseaudio
CurrentDesktop: Unity
Date: Wed Jun 18 15:22:53 2014
HibernationDevice: RESUME=UUID=5dd061d0-fd44-4034-9107-63948dcd2c16
InstallationDate: Installed on 2014-05-01 (48 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
MachineType: Dell Inc. Inspiron 1525
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-29-generic root=UUID=a198f31e-440b-4f9b-87bb-d5e956fbe42f ro rootflags=subvol=@ locale=pt_BR quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-29-generic N/A
 linux-backports-modules-3.13.0-29-generic N/A
 linux-firmware 1.127.2
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/16/2008
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A16
dmi.board.name: 0D109D
dmi.board.vendor: Dell Inc.
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA16:bd10/16/2008:svnDellInc.:pnInspiron1525:pvr:rvnDellInc.:rn0D109D:rvr:cvnDellInc.:ct8:cvr:
dmi.product.name: Inspiron 1525
dmi.sys.vendor: Dell Inc.

Iuri Diniz (iuridiniz) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.16 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-rc1-utopic/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Iuri Diniz (iuridiniz) wrote :

I did a bisect and found the first bad commit:
========================
18442d08786472c63a0a80c27f92b033dffc26de is the first bad commit
commit 18442d08786472c63a0a80c27f92b033dffc26de
Author: Ville Syrjälä <email address hidden>
Date: Fri Sep 13 16:00:08 2013 +0300

    drm/i915: Fix port_clock and adjusted_mode.clock readout all over

    Now that adjusted_mode.clock no longer contains the pixel_multiplier, we
    can kill the get_clock() callback and instead do the clock readout
    in get_pipe_config().

    Also i9xx_crtc_clock_get() can now extract the frequency of the PCH
    DPLL, so use it to populate port_clock accurately for PCH encoders.
    For DP in port A the encoder is still responsible for filling in
    port_clock. The FDI adjusted_mode.clock extraction is kept in place
    for some extra sanity checking, but we no longer need to pretend it's
    also the port_clock.

    In the encoder get_config() functions fill out adjusted_mode.clock
    based on port_clock and other details such as the DP M/N values,
    HDMI 12bpc and SDVO pixel_multiplier. For PCH encoders we will then
    do an extra sanity check to make sure the dotclock we derived from
    the FDI configuratiuon matches the one we derive from port_clock.

    DVO doesn't exist on PCH platforms, so it doesn't need to anything
    but assign adjusted_mode.clock=port_clock. And DDI is HSW only, so
    none of the changes apply there.

    v2: Use hdmi_reg color format to detect 12bpc HDMI case
    v3: Set adjusted_mode.clock for LVDS too
    v4: Rename ironlake_crtc_clock_get to ironlake_pch_clock_get,
        eliminate the useless link_freq variable.

    Signed-off-by: Ville Syrjälä <email address hidden>
    Reviewed-by: Jani Nikula <email address hidden>
    Signed-off-by: Daniel Vetter <email address hidden>

:040000 040000 28aa8dae70bff05e84a62d6b66eaa54e331690bd 55c4132a8c8e9088505ad5647a7b79735f5a1f54 M drivers
==================================================

So, it seems it's a upstream bug

Also, only occurs if someone is logged (in a fresh boot, if I suspend from lightdm, it resumes well). Maybe something related between some software (compiz?) and DRM layer

tags: added: kernel-bug-exists-upstream
Iuri Diniz (iuridiniz) wrote :
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Iuri Diniz (iuridiniz) wrote :

Upstream kernel [linux-image-3.15.0-031500-generic_3.15.0-031500.201406111300_amd64.deb] has the bug

Graeme Murray (graeme-w-murray) wrote :

Great work Iuri. I found that on my machine if I stopped the ntp daemon the "fail from resume" happened intermittently, if ntp was running then it happened every time?

Žygimantas Beručka (zygis) wrote :

Dear Iuri, I have reported your bug with your comments to the upstream bugzilla as https://bugzilla.kernel.org/show_bug.cgi?id=78381 Feel free to comment if you have anything else to add or want to change something.

Iuri Diniz (iuridiniz) wrote :

Hello graeme, I don't have ntpdate server running on my machine.

The only thing I've found relation is if someone is logged on Xorg (unity), I think is relation to a process using drm features. I think lightdm does not use any advanced feature (like OpenGL), so if only lightdm is using Xorg, I can resume from previous suspend

Iuri Diniz (iuridiniz) wrote :

Hello Žygimantas,

I've done a bugreport to upstream bugzilla and it's already assigned to Ville Syrjälä, but you report is more complete than mine :D

Iuri Diniz, could you please test the latest upstream kernel available from the very top line at the top of the page (3.16-rc1, not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-3.16-rc1

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: bisect-done needs-suspend-deubg needs-upstream-testing
tags: added: bios-outdated-a17 kernel-bug-exists-upstream-3.15 needs-suspend-debug
removed: kernel-bug-exists-upstream needs-suspend-deubg
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Iuri Diniz (iuridiniz) wrote :

I update my bios to A17 two days ago.

tags: removed: bios-outdated-a17
Iuri Diniz (iuridiniz) wrote :

I cannot boot upstream kernel (3.16-rc1) from http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-rc1-utopic/

System hangs sometimes in ALPS/PS2 mouse, somethimes em AT Keyboard. I will try to compile it from git sources (using tag v3.16-rc1)

tags: added: kernel-unable-to-test-upstream
shacharr (shacharr) wrote :

Reverting the said commit (18442d0) fixes the issue for me too, allowing me to run (and successfully suspend and resume the computer) with kernel 2.13.0-30 (and the relevant patch applied)
I attach the patches needed to revert the said commit (some manual work was required, as git revert did not work cleanly). Note that this might break other i915 based devices (I do not know the internal details of the intel driver, I just fixed the revert to compile).

A prebuilt kernel package (64-bit version) that works for me is available from:
https://dl.dropboxusercontent.com/u/3231403/InspironBugFix/linux-cloud-tools-3.13.0-30-generic_3.13.0-30.54_amd64.deb
https://dl.dropboxusercontent.com/u/3231403/InspironBugFix/linux-headers-3.13.0-30_3.13.0-30.54_all.deb
https://dl.dropboxusercontent.com/u/3231403/InspironBugFix/linux-headers-3.13.0-30-generic_3.13.0-30.54_amd64.deb
https://dl.dropboxusercontent.com/u/3231403/InspironBugFix/linux-image-3.13.0-30-generic_3.13.0-30.54_amd64.deb
https://dl.dropboxusercontent.com/u/3231403/InspironBugFix/linux-image-extra-3.13.0-30-generic_3.13.0-30.54_amd64.deb
https://dl.dropboxusercontent.com/u/3231403/InspironBugFix/linux-tools-3.13.0-30-generic_3.13.0-30.54_amd64.deb

tags: added: patch
Iuri Diniz (iuridiniz) on 2014-06-21
tags: added: kernel-fixed-upstream-3.16-rc2
removed: kernel-unable-to-test-upstream needs-upstream-testing
Iuri Diniz (iuridiniz) wrote :

I can confirm that the last version of upstream kernel [3c8fb50 (HEAD, linus/master) Merge tag 'pm+acpi-3.16-rc2' of git://git.kernel.org/pub/scm/linux/kernel/git/rafael/linux-pm]) fixed the bug

I cannot boot 3.16-rc1, but linus/master branch [commit 3c8fb50445833b93f69b6b703a29aae3523cad0c] (3.16-rc2) doesn't have the bug

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Iuri Diniz (iuridiniz) wrote :

Hi shacharr,

could you test packages on http://kernel.ubuntu.com/~kernel-ppa/mainline/daily/2014-06-20-utopic/ ?

These packages were built based on the 3c8fb50445833b93f69b6b703a29aae3523cad0c, which doesn't have the bug.

I'm using them and everything seems all right

luri Diniz, the next step is to fully reverse commit bisect the kernel in order to identify the offending commit. Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection#How_do_I_reverse_bisect_the_upstream_kernel.3F ?

tags: added: needs-reverse-bisect
removed: kernel-bug-exists-upstream-3.15 needs-suspend-debug
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: removed: patch
Iuri Diniz (iuridiniz) wrote :

Christopher M. Penalver,

Shacharr already did the reversion and the bug goes away

Also, next linux version (3.16-rc2) will fix that bug.

Do you want that I test it too? I'll use the kernel packages that he made.

Iuri Diniz (iuridiniz) wrote :

The prebuilt kernel packages (64-bit version), which (according to shacharr) fully reverses the offending commit, worked for me too.

tags: removed: needs-reverse-bisect
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
shacharr (shacharr) wrote :

I have identified the commit needed for fixing the issue: Cherry-picking commit 2b85886a5457f5c5dbcd32edbd4e6bba0f4e8678 [1] on top of Ubuntu-3.13.0-30.54 fixes the issue for me (can uploaded pre-built kernel packages with this patch if needed). Division by 0 in kernel during resume is apparently not recommended :).

Can you add this patch (already in upstream) to the official Ubuntu kernels?

Thanks,
--Shachar
---

[1] - https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=2b85886a5457f5c5dbcd32edbd4e6bba0f4e8678

Žygimantas Beručka (zygis) wrote :

Dear shcharr,

A prebuilt 3.13.0-30.54 with that patch applied would be nice to have. I could give it a test on my machine as well.

Žygimantas Beručka (zygis) wrote :

Oh, I see that you've already uploaded it on dropbox! I will give it a test run.

tags: added: needs-reverse-bisect
tags: added: cherry-pick reverse-bisect-done
removed: needs-reverse-bisect
Žygimantas Beručka (zygis) wrote :

Hey all. Apologies for the long silence. I confirm that shacharr's prebuilt packages with the cherry-picked 2b85886a5457f5c5dbcd32edbd4e6bba0f4e8678 commit fixed the issue for me. It must be included it in the next kernel update for Trusty.

Changed in linux (Ubuntu):
status: Confirmed → Triaged

I too can confirm that the prebuilt packages fix the issue for me after a couple of weeks of testing.

29185159 (celiosidneisilva) wrote :

O problema é/era com o driver wifi bradcom

29185159 (celiosidneisilva) wrote :

ops... broadcom

The patch seems to have been included in Linux 3.13.11.5, released on July
18[1]. Looking forward to its inclusion in the official Ubuntu kernel
builds.

1. http://patchwork.ozlabs.org/patch/370345/

2014-08-06 20:18 GMT+02:00 29185159 <email address hidden>:

> ops... broadcom
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1331654
>
> Title:
> [Dell Inspiron 1525] Cannot resume from suspend
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/1331654/+subscriptions
>

It looks like linux-image-3.13.0-35-generic (3.13.0-35.62) contains the fixes for this bug.

I've done some initial testing and it seems to work for me after a few suspend/resume cycles.

The changelog says that it includes LP: #1347088 (Linux 3.13.11.5). The launchpad #1347088 comments state that

"drm/i915: Avoid div-by-zero when pixel_multiplier is zero"

is included as part of the 3.13.11.5 patch.

Ashraf Ali (sharali) wrote :

I have installed the kernel 3.13.11-03131105-generic and the issue is
solved .

On Wed, Sep 3, 2014 at 5:13 PM, Richard Mortimer <<email address hidden>
> wrote:

> It looks like linux-image-3.13.0-35-generic (3.13.0-35.62) contains the
> fixes for this bug.
>
> I've done some initial testing and it seems to work for me after a few
> suspend/resume cycles.
>
> The changelog says that it includes LP: #1347088 (Linux 3.13.11.5). The
> launchpad #1347088 comments state that
>
> "drm/i915: Avoid div-by-zero when pixel_multiplier is zero"
>
> is included as part of the 3.13.11.5 patch.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1305371).
> https://bugs.launchpad.net/bugs/1331654
>
> Title:
> [Dell Inspiron 1525] Cannot resume from suspend
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/1331654/+subscriptions
>

--
ashrafalipk

I can agree. The bug seemes to be fixed in kernel 3.13.0-35-generic. Resume from standby works without problems with this kernel version.

Gopala (krishna-ggk+ubuntuone) wrote :

I picked up updates today which updated kernel package to 3.13.0-36. I no longer see any failures and looks like the fix has worked!

Mark smith (zebiddy8) wrote :

"It looks like linux-image-3.13.0-35-generic (3.13.0-35.62) contains the fixes for this bug."

Yes it does, I deleted the "band-aid fix" script in my /etc/pm/sleep.d/ folder and upgraded from the recommended 3.13.0-24-generic kernel to 3.13.0-35 via the update manager in Mint 17 and our Inspiron 1525 laptop has since been resuming from sleep without hanging.

My thanks to everyone responsible for finding & fixing this bug!
Mark

Cedric Bhihe (cedric-bhihe) wrote :

[Running: 3.13.0-36-generic #63 on 64bit HP8510w]

@ Richard (#30), @ Carsten (#32) and @ Mark (#34),

Sorry to butt in in a forum, where I am the 1st to recognize that I am out of my depth.
It's odd that the linux-image-3.13.0-35-generic should be declared bug free, because
unless I am very mistaken, I am still affected by that bug under 3.13.0-36-generic #63 .
This is the reason I have mined the net and the Ubuntu bug databank to begin with,
namely to determine whether to:
- keep using a buggy kernel that bomb everytime a suspend occurs and wait for a new, bug-free, generic release
or
- revert to a pre-built kernel as suggested by Schacharr (#24).
Thanks. -cedric

Michael (mnichau) wrote :

@Cedric, currently, the officially released kernel version in Ubuntu Trusty is linux-generic (3.13.0.35.42): http://packages.ubuntu.com/trusty-updates/kernel/

I can confirm that this version is finally fixed wrt the suspend/resume bug. Make sure your update sources for kernel are nominal, e.g. check if you're using trusty-proposed, if so try disabling them and downgrading to the officially released kernel.

ender (ender46) wrote :
Download full text (3.4 KiB)

I can confirm the last kernel upgrade fixed the suspend problem for me in
my inspiron 1525. Functionality is not fully restored yet, since the
options I pick in the power settings panel are completely ignored (ie when
I choose "do nothing when the lid is closed" the computer still goes into
hibernation), but that is a problem I can live with.

On 17 September 2014 17:18, Michael <email address hidden> wrote:

> @Cedric, currently, the officially released kernel version in Ubuntu
> Trusty is linux-generic (3.13.0.35.42): http://packages.ubuntu.com
> /trusty-updates/kernel/
>
> I can confirm that this version is finally fixed wrt the suspend/resume
> bug. Make sure your update sources for kernel are nominal, e.g. check if
> you're using trusty-proposed, if so try disabling them and downgrading
> to the officially released kernel.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1330435).
> https://bugs.launchpad.net/bugs/1331654
>
> Title:
> [Dell Inspiron 1525] Cannot resume from suspend
>
> Status in The Linux Kernel:
> Unknown
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> Hello folks,
>
> After upgrading to Ubuntu Trusty (14.04), I cannot more resume from a
> previous suspend. All things were all right on 13.10.
>
> If I boot previous kernel 3.11.0-23, everything works well.
>
> Also I've tried these kernels:
>
> vanilla 3.13.0-rc1 (Bugged)
> vanilla 3.12.22 (Working)
>
> I also noted if I suspend from lightdm menu (on 3.13.0-rc1), I can
> resume after, but If I do this after logged with my user (not root), I
> am unable to resume from suspend.
>
> I cannot perform Sysrq magic keys, I can only press the power button.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: linux-image-3.13.0-29-generic 3.13.0-29.53
> ProcVersionSignature: Ubuntu 3.13.0-29.53-generic 3.13.11.2
> Uname: Linux 3.13.0-29-generic x86_64
> ApportVersion: 2.14.1-0ubuntu3.2
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: iuri 2137 F.... pulseaudio
> CurrentDesktop: Unity
> Date: Wed Jun 18 15:22:53 2014
> HibernationDevice: RESUME=UUID=5dd061d0-fd44-4034-9107-63948dcd2c16
> InstallationDate: Installed on 2014-05-01 (48 days ago)
> InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64
> (20140417)
> MachineType: Dell Inc. Inspiron 1525
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.13.0-29-generic
> root=UUID=a198f31e-440b-4f9b-87bb-d5e956fbe42f ro rootflags=subvol=@
> locale=pt_BR quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-3.13.0-29-generic N/A
> linux-backports-modules-3.13.0-29-generic N/A
> linux-firmware 1.127.2
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 10/16/2008
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A16
> dmi.board.name: 0D109D
> dmi.board.vendor: Dell Inc.
> dmi.chassis.type: 8
> dmi.chassis.vendor: Dell Inc.
> dmi.modalias:
> dmi:bvnDellInc.:bvrA16:bd10/...

Read more...

Cedric Bhihe, thank you for your comment. Unfortunately, this bug report is not scoped to you, your hardware, or your problem. So your hardware and problem may be tracked, could you please file a new report with Ubuntu by executing the following in a terminal while booted into the default Ubuntu kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

As well, please do not announce in this report you created a new bug report.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Not an upstream issue.

Changed in linux:
importance: Unknown → Undecided
status: Unknown → New
status: New → Invalid
To post a comment you must log in.